subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko Čibej <br...@apache.org>
Subject Re: Subversion1.10.0-rc1 up for testing/signing
Date Sat, 24 Feb 2018 20:57:28 GMT
On 24.02.2018 21:55, Julian Foad wrote:
> Branko Čibej wrote:
>>>    - Warning from JavaHL build:
>>>
>>>      subversion/bindings/javahl/native/SVNRepos.cpp:371:15: warning:
>>> 'svn_repos_load_fs5'
>>>            is deprecated [-Wdeprecated-declarations]
>>>        SVN_JNI_ERR(svn_repos_load_fs5(repos,
>>> dataIn.getStream(requestPool),
>>
>> I'm assuming we can fix this during the soak period, even if it means
>> adding another overload to the JavaHL Repos API, yes? Fixing bindings
>> shouldn't extend the soak (or only by a week)?
>>
>> In other words, it doesn't make sense to block RC1 over this detail.
>
> We should not require this to be fixed for 1.10.0.
>
> We have a policy of not calling deprecated APIs from within our own
> code, but that is basically for our own convenience -- it does not
> matter to the users of our code. We have a requirement that deprecated
> APIs are safe and correct to use. Therefore it is fine to release code
> like this.
>
> It can be fixed at leisure, any time.


The fix is already done and is approved for backport to 1.10.x (so it
gets merged tonight). It adds another API overload to JavaHL, so it
really needs to be in .0.

-- Brane


Mime
View raw message